// Copyright (C) 2003 by ASUSTeK. All rights are reserved.

function sortDeviceTuple (a, b)
{
    var x = a.tripleExtraAt(2);
    var y = b.tripleExtraAt(2);
    if (x.toString().toLowerCase() > y.toString().toLowerCase())
        return 1;
    if (x == y)
        return 0;
    return -1;
}

function sortFRUTuple (a, b)
{
    var x = a.quadrupleValueAt(1);
    var y = b.quadrupleValueAt(1);

    if (x != y) {
        return x - y;
    }

    x = a.quadrupleValueAt(2);
    y = b.quadrupleValueAt(2);

    if (x != y) {
        return x - y;
    }

    x = a.quadrupleValueAt(3);
    y = b.quadrupleValueAt(3);

    if (x != y) {
        return x - y;
    }

    return 0;
}