// Copyright (C) 2003 by ASUSTeK. All rights are reserved.

var __jvmReady__ = false;
var vwOrg = false;

var OpMode = new Array();
var divRTChars = new Array();
var RTCharsSnsrID = new Array();
var RTCharsSnsrIDIdx = new Array();
var totalDivRTChars = 0;

var divAddRTChart = false;

var last_hlimit = new Array();
var last_llimit = new Array();
var last_whlimit = new Array();
var last_wllimit = new Array();

function advance (i)
{
    var newThreshold = false;
    var msnsr;

    if (!parent.__jvmReady__)
        return;

    if (parent.__jvmReady__[i]) {
        if (parent.once.GSensors)
            if ((msnsr = parent.once.GSensors.idAt(RTCharsSnsrIDIdx[i]))) {
                document.applets[i + 1].advance(msnsr.currvalue, msnsr.currvalue, msnsr.currvalue, msnsr.currvalue);
            }

        if (last_hlimit[i] != Number.POSITIVE_INFINITY)
            if (last_hlimit[i] != msnsr.fatalhigh) {
                last_hlimit[i] = msnsr.fatalhigh;
                newThreshold = true;
            }

        if (last_llimit[i] != Number.NEGATIVE_INFINITY)
            if (last_llimit[i] != msnsr.fatallow) {
                last_llimit[i] = msnsr.fatallow;
                newThreshold = true;
            }

        if (last_whlimit[i] != Number.POSITIVE_INFINITY)
            if (last_whlimit[i] != msnsr.warninghigh) {
                last_whlimit[i] = msnsr.warninghigh;
                newThreshold = true;
            }

        if (last_wllimit[i] != Number.NEGATIVE_INFINITY)
            if (last_wllimit[i] != msnsr.warninglow) {
                last_wllimit[i] = msnsr.warninglow;
                newThreshold = true;
            }

        if (newThreshold) {
            document.applets[i + 1].thresholds(
                last_llimit[i] == Number.NEGATIVE_INFINITY ? 0 : last_llimit[i],
                last_wllimit[i] == Number.NEGATIVE_INFINITY ? 0 : last_wllimit[i],
                last_hlimit[i] == Number.POSITIVE_INFINITY ? 0 : last_hlimit[i],
                last_whlimit[i] == Number.POSITIVE_INFINITY ? 0 : last_whlimit[i]);
        }
    } else
        setTimeout('advance(' + i + ')', parent.__retryInMsec__);
}

function periodical ()
{
    var i;

    for (i = 0; i < totalDivRTChars; i++) {
        advance(i);
    }
}

function over (id, i)
{
    if (!parent.__jvmReady__)
        return;

    if (parent.__jvmReady__[i]) {
        if (id == "up" ) {
            if (!OpMode[i])
                document.images["img_up" + i].src = "./img/z/real_c_up1.gif";
            else
                document.images["img_up" + i].src = "./img/z/real_c_up-b.gif";
        }

        if (id == "shrink") {
            if (!OpMode[i])
                document.images["img_shrink" + i].src = "./img/z/real_c_zo1.gif";
            else
                document.images["img_shrink" + i].src = "./img/z/real_c_zo-b.gif";
        }

        if (id == "mode") {
            if (!OpMode[i])
                document.images["img_mode" + i].src = "./img/z/real_c_auto1.gif";
            else
                document.images["img_mode" + i].src = "./img/z/real_c_ma1.gif";
        }

        if (id == "expand") {
            if (!OpMode[i])
                document.images["img_expand" + i].src = "./img/z/real_c_zi1.gif";
            else
                document.images["img_expand" + i].src = "./img/z/real_c_zi-b.gif";
        }

        if (id == "revert") {
            if (!OpMode[i])
                document.images["img_revert" + i].src = "./img/z/real_c_rf1.gif";
            else
                document.images["img_revert" + i].src = "./img/z/real_c_rf-b.gif";
        }

        if (id == "down" ) {
            if (!OpMode[i])
                document.images["img_down" + i].src = "./img/z/real_c_dn1.gif";
            else
                document.images["img_down" + i].src = "./img/z/real_c_dn-b.gif";
        }
    } else
        setTimeout('over("' + id + '", ' + i + ')', parent.__retryInMsec__);

}

function showHideViews (i, op)
{
    if (!parent.__jvmReady__)
        return;

    if (parent.__jvmReady__[i]) {
        if (!op) {
            document.images['img_mode' + i].src = "./img/z/real_c_auto.gif";
            document.images['img_up' + i].src = "./img/z/real_c_up.gif";
            document.images['img_down' + i].src = "./img/z/real_c_dn.gif";
            document.images['img_shrink' + i].src = "./img/z/real_c_zo.gif";
            document.images['img_expand' + i].src = "./img/z/real_c_zi.gif";
            document.images['img_revert' + i].src = "./img/z/real_c_rf.gif";
        } else {
            document.images['img_mode' + i].src = "./img/z/real_c_ma.gif";
            document.images['img_up' + i].src = "./img/z/real_c_up-b.gif";
            document.images['img_down' + i].src = "./img/z/real_c_dn-b.gif";
            document.images['img_shrink' + i].src = "./img/z/real_c_zo-b.gif";
            document.images['img_expand' + i].src = "./img/z/real_c_zi-b.gif";
            document.images['img_revert' + i].src = "./img/z/real_c_rf-b.gif";
        }
    } else
        setTimeout('showHideViews(' + i + ', ' + op + ')', parent.__retryInMsec__);
}

function doAutoOrManual (i)
{
    if (!parent.__jvmReady__)
        return;

    if (!parent.__jvmReady__[i])
        return;

    if (OpMode[i]) {
        document.applets[i + 1].domanual();
    } else {
        document.applets[i + 1].doauto();
    }
    OpMode[i] = !OpMode[i];
    showHideViews(i, OpMode[i]);
}

function doApplet (i, func)
{
    if (!parent.__jvmReady__)
        return;

    if (!parent.__jvmReady__[i])
        return;

    if (document.applets[i + 1].autopanTopQuantity != 0 && document.applets[i + 1].autopanBottomQuantity != 0) {
        if (!OpMode[i])
            eval("document.applets[" + (i + 1) + "]." + func + '()');
    }
}

function defAppletParameter (id, unit, theroyval)
{
    switch (unit) {
        case 1: // temperature C
            if (id == 'vertRangeTop') {
                return "100";
            } else
            if (id == 'vertRangeBottom') {
                return '-20';
            } else
            if (id == 'vertMinRange') {
                return '-20';
            } else
            if (id == 'autopanTopMargin') {
                return '0';
            } else
            if (id == 'autopanBottomMargin') {
                return '0';
            } else
            if (id == 'autopanTopQuantity') {
                return '30';
            } else
            if (id == 'autopanBottomQuantity') {
                return '30';
            }

        case 18: // fanspeed rpm
            if (id == 'vertRangeTop') {
                return "10000";
            } else
            if (id == 'vertRangeBottom') {
                return '0';
            } else
            if (id == 'vertMinRange') {
                return '0';
            } else
            if (id == 'autopanTopMargin') {
                return '1';
            } else
            if (id == 'autopanBottomMargin') {
                return '1';
            } else
            if (id == 'autopanTopQuantity') {
                return '2500';
            } else
            if (id == 'autopanBottomQuantity') {
                return '2500';
            }
        case 19:
            if (id == 'vertRangeTop') {
                return "5000";
            } else
            if (id == 'vertRangeBottom') {
                return '0';
            } else
            if (id == 'vertMinRange') {
                return '0';
            } else
            if (id == 'autopanTopMargin') {
                return '1';
            } else
            if (id == 'autopanBottomMargin') {
                return '1';
            } else
            if (id == 'autopanTopQuantity') {
                return '1250';
            } else
            if (id == 'autopanBottomQuantity') {
                return '1250';
            }

        case 192: // voltage mV
            if (id == 'vertRangeTop') {
                if (theroyval) {
                    if (theroyval <= 2000) {
                        return "2000";
                    } else
                    if (theroyval <= 2500) {
                        return "3000";
                    } else
                    if (theroyval <= 3000) {
                        return "4500";
                    } else
                    if (theroyval <= 5000) {
                        return "6500";
                    } else
                        return "14500";
                }
                return "10000";
            } else
            if (id == 'vertRangeBottom') {
                if (theroyval) {
                    if (theroyval <= 2000) {
                        return "1000";
                    } else
                    if (theroyval <= 2500) {
                        return "1000";
                    } else
                    if (theroyval <= 3000) {
                        return "2500";
                    } else
                    if (theroyval <= 5000) {
                        return "3500";
                    } else
                        return "9500";
                }
                return '0';
            } else
            if (id == 'vertMinRange') {
                return '0';
            } else
            if (id == 'autopanTopMargin') {
                return '1';
            } else
            if (id == 'autopanBottomMargin') {
                return '1';
            } else
            if (id == 'autopanTopQuantity') {
                if (theroyval) {
                    if (theroyval <= 2000) {
                        return "250";
                    } else
                    if (theroyval <= 2500) {
                        return "500";
                    } else
                    if (theroyval <= 3000) {
                        return "500";
                    } else
                    if (theroyval <= 5000) {
                        return "750";
                    } else
                        return "1250";
                }
                return '2500';
            } else
            if (id == 'autopanBottomQuantity') {
                if (theroyval) {
                    if (theroyval <= 2000) {
                        return "250";
                    } else
                    if (theroyval <= 2500) {
                        return "500";
                    } else
                    if (theroyval <= 3000) {
                        return "500";
                    } else
                    if (theroyval <= 5000) {
                        return "750";
                    } else
                        return "1250";
                }
                return '2500';
            }
        case 193: // percentage
            if (id == 'vertRangeTop') {
                return "100";
            } else
            if (id == 'vertRangeBottom') {
                return '0';
            } else
            if (id == 'vertMinRange') {
                return '0';
            } else
            if (id == 'autopanTopMargin') {
                return '0';
            } else
            if (id == 'autopanBottomMargin') {
                return '0';
            } else
            if (id == 'autopanTopQuantity') {
                return '0';
            } else
            if (id == 'autopanBottomQuantity') {
                return '0';
            }

        default:
            if (id == 'vertRangeTop') {
                return "1000";
            } else
            if (id == 'vertRangeBottom') {
                return '-1000';
            } else
            if (id == 'vertMinRange') {
                return '-1000';
            } else
            if (id == 'autopanTopMargin') {
                return '250';
            } else
            if (id == 'autopanBottomMargin') {
                return '250';
            } else
            if (id == 'autopanTopQuantity') {
                return '500';
            } else
            if (id == 'autopanBottomQuantity') {
                return '500';
            }
    }
}


function addRTChartClass (snrid)
{
    var div, msnsr, functype, i, k, j = "";

    if (RTCharsSnsrID[snrid])
        return;

    if (parent.once.GSensors)
        if (!(msnsr = parent.once.GSensors.idAt(snrid)))
            return;

    if (divAddRTChart) {
        document.body.removeChild(divAddRTChart);
        divAddRTChart = false;
    }

    functype = msnsr.functype;

    RTCharsSnsrIDIdx[totalDivRTChars] = snrid;
    RTCharsSnsrID[snrid] = true;
    OpMode[totalDivRTChars] = true;
    last_hlimit[totalDivRTChars] = Number.POSITIVE_INFINITY;
    last_llimit[totalDivRTChars] = Number.NEGATIVE_INFINITY;
    last_whlimit[totalDivRTChars] = Number.POSITIVE_INFINITY;
    last_wllimit[totalDivRTChars] = Number.NEGATIVE_INFINITY;


    div = divRTChars[totalDivRTChars] = document.createElement('DIV');
    div.style.visibility = 'visible';
    div.style.position = 'absolute';
    div.style.left = getOffsetLeft(vwOrg);
    if (totalDivRTChars > 0)
        div.style.top = parseInt(divRTChars[totalDivRTChars - 1].style.top) + divRTChars[totalDivRTChars - 1].offsetHeight;
    else
        div.style.top = vwOrg.offsetTop;

    div.id = 'chart' + totalDivRTChars;
    div.style.zIndex = 0;
    document.body.appendChild(div);

    j +=
'        <map name="downMap'+ totalDivRTChars + '"><area shape="circle" coords="13,9,8" href="javascript:doApplet(' + totalDivRTChars + ', &quot;down&quot;);"></map>' +
'        <map name="manualautoMap'+ totalDivRTChars + '"><area shape="circle" coords="13,13,8" href="javascript:doAutoOrManual(' + totalDivRTChars + ');"></map>' +
'        <map name="upMap'+ totalDivRTChars + '"><area shape="circle" coords="12,11,8" href="javascript:doApplet(' + totalDivRTChars + ', &quot;up&quot;);"></map>' +
'        <map name="expandMap'+ totalDivRTChars + '"><area shape="circle" coords="10,13,8" href="javascript:doApplet(' + totalDivRTChars + ', &quot;expand&quot;);"></map>' +
'        <map name="revertMap'+ totalDivRTChars + '"><area shape="circle" coords="25,13,8" href="javascript:doApplet(' + totalDivRTChars + ', &quot;revert&quot;);"></map>' +
'        <map name="shrinkMap'+ totalDivRTChars + '"><area shape="circle" coords="11,12,8" href="javascript:doApplet(' + totalDivRTChars + ', &quot;shrink&quot;);"></map>' +
'<BR><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'<TR><TD><TABLE WIDTH="516" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'    <TR><TD><IMG SRC="./img/z/real_t01.gif" WIDTH="7" HEIGHT="10" ></TD>' +
'        <TD background="./img/z/real_t03bg.gif"><IMG SRC="./img/z/real_t02.gif" WIDTH="10" HEIGHT="10" ></TD>' +
'        <TD background="./img/z/real_t03bg.gif"><IMG SRC="./img/z/bg.gif"></TD>' +
'        <TD><IMG SRC="./img/z/real_t04.gif" WIDTH="11" HEIGHT="10" ></TD></TR>' +
'    <TR><TD bgcolor="#000000"><IMG SRC="./img/z/bg.gif"></TD>' +
'        <TD colspan="2" rowspan="2" bgcolor=black width="498" height="233" valign=middle align=center>' +

(parent.__javaEnabled__ ? 
'<applet class=applet mayscript name=rtchart code="rtchart.class" width="498" height="233">' +
'    <param name=fontFace value="' + ( navigator.platform == 'Win32' ? 'Arial' : 'helvetica') + '">' +
'    <param name=vertTitle value="' + msnsr.internalname + '">' +
'    <param name=vertUnit value="' + parent.once.GResUnit[msnsr.unit] + '">' +
'    <param name=horizTitle value="Time">' +
'    <param name=horizUnit value="mm:ss">' +

'    <param name=autoHorizUnitTimeTransfer value="1">' +
'    <param name=useInternalStatistics value="1">' +

'    <param name=vertRangeTop value="' + defAppletParameter('vertRangeTop', msnsr.unit, msnsr.theoryvalue) + '">' +
'    <param name=vertRangeBottom value="' + defAppletParameter('vertRangeBottom', msnsr.unit, msnsr.theoryvalue) + '">' +
'    <param name=vertMinRange value="' + defAppletParameter('vertMinRange', msnsr.unit, msnsr.theoryvalue) + '">' +

'    <param name=horizRangeLeft value="0">' +
'    <param name=horizRangePerTag value="' + (parent.__refreshInMsec__ / 1000 * 12) + '">' +
'    <param name=horizPixelPerTag value="24">' +
'    <param name=horizPixelPlotPerTag value="2">' +
'    <param name=horizGrowingRight value="1">' +

'    <param name=thresholdCritiHigh value="' + (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH ? (last_hlimit[totalDivRTChars] = msnsr.fatalhigh) : 'NONE') + '">' +
'    <param name=thresholdWarnHigh value="' + (functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH || functype == ASWM_FNTYPE_CV_FWH ? (last_whlimit[totalDivRTChars] = msnsr.warninghigh) : 'NONE') + '">' +
'    <param name=thresholdWarnLow value="' + (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ?  (last_wllimit[totalDivRTChars] = msnsr.warninglow) : 'NONE') + '">' +
'    <param name=thresholdCritiLow value="' + (functype == ASWM_FNTYPE_CV_FWL || functype == ASWM_FNTYPE_CV_FWL_FWH || functype == ASWM_FNTYPE_CTV_FWL_FWH ?  (last_llimit[totalDivRTChars] = msnsr.fatallow) : 'NONE') + '">' +

'    <param name=autopanEnable value="1">' +
'    <param name=autopanTopMargin value="' + defAppletParameter('autopanTopMargin', msnsr.unit, msnsr.theoryvalue) + '">' +
'    <param name=autopanBottomMargin value="' + defAppletParameter('autopanBottomMargin', msnsr.unit, msnsr.theoryvalue) + '">' +
'    <param name=autopanTopQuantity value="' + defAppletParameter('autopanTopQuantity', msnsr.unit, msnsr.theoryvalue) + '">' +
'    <param name=autopanBottomQuantity value="' + defAppletParameter('autopanBottomQuantity', msnsr.unit, msnsr.theoryvalue) + '">' +
'    <param name=autoFocusValueCentered value="1">' +
'    <param name=jsstartup value="parent.__jvmReady__[' + totalDivRTChars + '] = true;">' +
'</applet>': 
    '<b><font color=white>' + parent.I18N['HAVE_NO_JVM'] + '</font></b>'
)+

'        </TD>' +
'        <TD background="./img/z/real_t08bg.gif"><IMG SRC="./img/z/bg.gif"></TD></TR>' +
'    <TR><TD bgcolor="#000000"><IMG SRC="./img/z/bg.gif"></TD>' +
'        <TD valign=bottom background="./img/z/real_t08bg.gif"><IMG SRC="./img/z/real_t12.gif" WIDTH="11" HEIGHT="7" ></TD></TR>' +
'    <TR><TD><IMG SRC="./img/z/real_t13.gif" WIDTH="7" HEIGHT="6" ></TD>' +
'        <TD bgcolor="#000000"><IMG SRC="./img/z/bg.gif"></TD>' +
'        <TD bgcolor="#000000"><IMG SRC="./img/z/bg.gif"></TD>' +
'        <TD><IMG SRC="./img/z/real_t16.gif" WIDTH="11" HEIGHT="6" ></TD></TR></TABLE></TD></TR>' +


'<TR><TD><TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'    <TR><TD valign=top><TABLE WIDTH="146" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR><TD BGCOLOR="#DBDBDB" WIDTH="7" rowspan="5"><IMG SRC="./img/z/bg.gif" WIDTH="7"></TD>' +
'            <TD><IMG SRC="./img/z/real_c02.gif" WIDTH="34" HEIGHT="14" ></TD>' +
'            <TD BGCOLOR="#DBDBDB" colspan="4"><IMG SRC="./img/z/bg.gif"></TD></TR>' +
'        <TR><TD><IMG SRC="./img/z/real_c08.gif" WIDTH="34" HEIGHT="23" ></TD>' +
'            <TD><IMG SRC="./img/z/real_c09.gif" WIDTH="22" HEIGHT="23" ></TD>' +
'            <TD><a href="#" onMouseOut="showHideViews(' + totalDivRTChars + ', OpMode[' + totalDivRTChars + '])" onMouseOver="over(&quot;up&quot;,' + totalDivRTChars + ')"><img src="./img/z/bg.gif" alt="Up" name="img_up'+ totalDivRTChars + '" width="26" height="23" border="0" usemap="#upMap'+ totalDivRTChars + '"></a></TD>' +
'            <TD><IMG SRC="./img/z/real_c11.gif" WIDTH="22" HEIGHT="23" ></TD>' +
'            <TD BGCOLOR="#DBDBDB"><IMG SRC="./img/z/bg.gif"></TD></TR>' +
'        <TR><TD><IMG SRC="./img/z/real_c14.gif" WIDTH="34" HEIGHT="26" ></TD>' +
'            <TD><a href="#" onMouseOut="showHideViews(' + totalDivRTChars + ', OpMode[' + totalDivRTChars + '])" onMouseOver="over(&quot;shrink&quot;,' + totalDivRTChars + ')"><img src="./img/z/bg.gif" alt="Zoom Out" name="img_shrink' + totalDivRTChars + '" width="22" height="26" border="0" usemap="#shrinkMap'+ totalDivRTChars + '"></a></TD>' +
'            <TD><a href="#" onMouseOut="showHideViews(' + totalDivRTChars + ', OpMode[' + totalDivRTChars + '])" onMouseOver="over(&quot;mode&quot;,' + totalDivRTChars + ')"><img src="./img/z/bg.gif" alt="Mode" name="img_mode' + totalDivRTChars + '" width="26" height="26" border="0" usemap="#manualautoMap'+ totalDivRTChars + '"></a></TD>' +
'            <TD><a href="#" onMouseOut="showHideViews(' + totalDivRTChars + ', OpMode[' + totalDivRTChars + '])" onMouseOver="over(&quot;expand&quot;,' + totalDivRTChars + ')"><img src="./img/z/bg.gif" alt="Zoom In" name="img_expand' + totalDivRTChars + '" width="22" height="26" border="0" usemap="#expandMap'+ totalDivRTChars + '"></a></TD>' +
'            <TD><a href="#" onMouseOut="showHideViews(' + totalDivRTChars + ', OpMode[' + totalDivRTChars + '])" onMouseOver="over(&quot;revert&quot;,' + totalDivRTChars + ')"><img src="./img/z/bg.gif" alt="Revert" name="img_revert' + totalDivRTChars + '" width="35" height="26" border="0" usemap="#revertMap'+ totalDivRTChars + '"></a></TD></TR>' +
'        <TR><TD BGCOLOR="#DBDBDB"><IMG SRC="./img/z/bg.gif"></TD>' +
'            <TD><IMG SRC="./img/z/real_c21.gif" WIDTH="22" HEIGHT="21" ></TD>' +
'            <TD><a href="#" onMouseOut="showHideViews(' + totalDivRTChars + ', OpMode[' + totalDivRTChars + '])" onMouseOver="over(&quot;down&quot;,' + totalDivRTChars + ')"><img src="./img/z/bg.gif" alt="Down" name="img_down' + totalDivRTChars + '" width="26" height="21" border="0" usemap="#downMap'+ totalDivRTChars + '"></a></TD>'  +
'            <TD><IMG SRC="./img/z/real_c23.gif" WIDTH="22" HEIGHT="21" ></TD>' +
'            <TD BGCOLOR="#DBDBDB"><IMG SRC="./img/z/bg.gif"></TD></TR>' +
'        </TABLE>' +
'       </TD><TD valign=top></TD></TR></TABLE>' +
'   </TD></TR></TABLE>';

    writeHTML('chart' + totalDivRTChars, j);
    showHideViews(totalDivRTChars, true);
    advance(totalDivRTChars);

    totalDivRTChars++;


    var remainSensors = new Array();
    for (k = i = 0; i < parent.once.GSensors.length(); i++) {
        if (parent.once.GSensors.at(i).functype != ASWM_FNTYPE_NONE && parent.once.GSensors.at(i).functype != ASWM_FNTYPE_CV)
            if (!RTCharsSnsrID[parent.once.GSensors.at(i).id]) {
                remainSensors[k++] = parent.once.GSensors.at(i).id;
            }
    }

    if (remainSensors.length > 0) {
        divAddRTChart = document.createElement('DIV');
        divAddRTChart.style.visibility = 'visible';
        divAddRTChart.style.position = 'absolute';
        divAddRTChart.style.left = getOffsetLeft(vwOrg);
        divAddRTChart.style.top = parseInt(divRTChars[totalDivRTChars - 1].style.top) + divRTChars[totalDivRTChars - 1].offsetHeight;
        divAddRTChart.id = 'addchart';
        divAddRTChart.style.zIndex = 0;
        document.body.appendChild(divAddRTChart);

        j = '';

        j +=
'<TABLE WIDTH="509" border="0" CELLPADDING="0" CELLSPACING="0">' +
'<TR><TD WIDTH="72" valign="top"></TD>' +
'    <TD WIDTH="15" valign="top"><IMG SRC="./img/z/real_sa106.gif" BORDER="0"></TD>' +
'    <TD WIDTH="" background="./img/z/real_sa107bg.gif" valign="top">&nbsp;</TD>' +
'    <TD WIDTH="3" valign="top"><IMG SRC="./img/z/real_sa108.gif" BORDER="0"></TD>' +
'    <TD WIDTH="300"><TABLE WIDTH="100%" border="0" CELLPADDING="0" CELLSPACING="0">' +
'        <TR HEIGHT="16"><TD WIDTH="19"><IMG SRC="./img/z/real_s101.gif" WIDTH="19" HEIGHT="16"></TD>' +
'            <TD background="./img/z/real_s102bg.gif"><IMG SRC="./img/z/bg.gif"></TD>' +
'            <TD WIDTH="19"><IMG SRC="./img/z/real_s104.gif" WIDTH="19" HEIGHT="16"></TD></TR>' +
'        <TR HEIGHT="60"><TD background="./img/z/real_s105bg.gif"><IMG SRC="./img/z/bg.gif"></TD>' +
'            <TD BGCOLOR="#EAEAEA" align="center"><TABLE width="80%" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'                <TR><TD width="44" height="26">' + parent.I18N['DEVICE'] + '</TD>' +
'                    <TD><FORM><SELECT NAME="snsr">';

        for (i = 0; i < remainSensors.length; i++) {
            if (parent.once.GSensors.at(i).functype != ASWM_FNTYPE_NONE && parent.once.GSensors.at(i).functype != ASWM_FNTYPE_CV)
                j += '<option id="' + remainSensors[i] + '">' + parent.once.GSensors.idAt(remainSensors[i]).internalname + '</option>';
        }

        j += '</FORM></TD></TR>' +
'        <TR><TD height="30" align="right" valign="bottom" colspan="2">' +
'            <TABLE width="56" HEIGHT="23" BORDER="0" CELLPADDING="0" CELLSPACING="0">' +
'            <TR><TD width="11" HEIGHT="23"><IMG SRC="./img/z/bu_a1.gif" BORDER="0"></TD>' +
'                <TD width="33" HEIGHT="23" background="./img/z/bu_a2bg.gif" class="t8" align="center">' +
'                    <A HREF="javascript:addRTChartClass(parseInt(document.forms[0].snsr.options[document.forms[0].snsr.selectedIndex].id))" class="black"><sup>' + parent.I18N['ADD'] + '</sup></A></TD>' +
'               <TD width="12" HEIGHT="23"><IMG SRC="./img/z/bu_a3.gif" BORDER="0"></TD></TR></TABLE></TD></TR></TABLE></TD>' +
'            <TD background="./img/z/real_s108bg.gif"><IMG SRC="./img/z/bg.gif"></TD></TR>' +
'        <TR HEIGHT="17"><TD><IMG SRC="./img/z/real_sa109.gif" WIDTH="19" HEIGHT="17"></TD>' +
'            <TD background="./img/z/real_sa111bg.gif"><IMG SRC="./img/z/bg.gif"></TD>' +
'            <TD><IMG SRC="./img/z/real_sa112.gif" WIDTH="19" HEIGHT="17"></TD></TR></TABLE></TD></TR></TABLE>';

        writeHTML('addchart', j);
    }
}

function once ()
{

}
